Subject: 24.5; `dired-next/previous-line' should have a "^" in their interactive specs

From: Eli Barzilay <[email-masked]>
Date: Thu, 12 Nov 2015 03:14:15 -0500

If I bind the up/down arrow keys to `dired-next/previous-line' in
dired mode, they misbehave wrt shift selection.  The following simple
patch fixes this by adding a "^" to their `interactive' declarations.

-- 
                    ((x=>x(x))(x=>x(x)))                   Eli Barzilay:
                    http://barzilay.org/                   Maze is Life!